using System;
using Server;
using Server.Items;

namespace Server.Targeting
{
	public class WandTarget : Target
	{
		private BaseWand m_Item;

		public WandTarget( BaseWand item ) : base( 6, false, TargetFlags.None )
		{
			m_Item = item;
		}

		private static int GetOffset( Mobile caster )
		{
			return 5 + (int)(caster.Skills[SkillName.Magery].Value * 0.02 );
		}

		protected override void OnTarget( Mobile from, object targeted )
		{
			m_Item.DoWandTarget( from, targeted );

		/*	switch ( (int)m_Effect )
			{
				case Clumsiness:
				{
					if ( targeted is Mobile )
					{
						Mobile m = (Mobile)targeted;

						if (m.Karma > -1 )
						{
							from.SendLocalizedMessage( 1001018 );
							return;
						}

						if ( !from.CanSee( m ) )
						{
							from.SendLocalizedMessage( 500237 ); // Target can not be seen.
						}
						else
						{
							SpellHelper.Turn( from, m );

							SpellHelper.CheckReflect( 1, from, ref m );

							int offset = -GetOffset( from  );
							string name = String.Format( "[Spell] {0} Offset", StatType.Dex );

							StatMod mod = m.GetStatMod( name );

							if ( mod != null && mod.Offset > 0 )
							{
								m.AddStatMod( new StatMod( StatType.Dex, name, mod.Offset + offset, TimeSpan.FromSeconds( 30.0 ) ) );
							}
							else if ( mod == null || mod.Offset > offset )
							{
								m.AddStatMod( new StatMod( StatType.Dex, name, offset, TimeSpan.FromSeconds( 30.0 ) ) );
							}

							m.PlaySound( 0x1DF );
							Effects.SendTargetEffect( m, 14201, 16); 
						}
					}

					break;
				}
				case Identification:
				{
					if ( targeted is BaseWeapon )
					{
						BaseWeapon weapon = ( BaseWeapon )targeted;
						weapon.Identified = WeaponIdentified.Identified;
						weapon.OnSingleClick( from );
					}
					else if ( targeted is BaseArmor )
					{
						BaseArmor armor = ( BaseArmor )targeted;
						armor.Identified = ArmorIdentified.Identified;
						armor.OnSingleClick( from );
					}
					else if ( targeted is Item )
					{
						Item targetitem = ( Item )targeted;
						targetitem.OnSingleClick( from );
					}
					else
					{
						return;
					}

					break;
				}
				case Healing:
				{
					if ( targeted is Mobile )
					{
						Mobile m = (Mobile)targeted;
						if ( targeted is BaseCreature )
						{
							BaseCreature n = (BaseCreature)targeted;
							if ( n.Controled == false )
							{
								from.SendLocalizedMessage( 1001017 );
								return;
							}
						}

						if (m.Karma < 0 )
						{
							from.SendLocalizedMessage( 1001017 );
							return;
						}

						if ( !from.CanSee( m ) )
						{
							from.SendLocalizedMessage( 500237 ); // Target can not be seen.
						}
						else
						{
							SpellHelper.Turn( from, m );

							m.Heal( Utility.Random( 6, 15) );

							m.PlaySound( 0x1F2 );
							Effects.SendTargetEffect( m, 0x376A, 16 );
						}
					}

					break;
				}
				case Feeblemindedness:
				{
					if ( targeted is Mobile )
					{
						Mobile m = (Mobile)targeted;

						if (m.Karma > -1 )
						{
							from.SendLocalizedMessage( 1001018 );
							return;
						}

						if ( !from.CanSee( m ) )
						{
							from.SendLocalizedMessage( 500237 ); // Target can not be seen.
						}
						else
						{
							SpellHelper.Turn( from, m );

							SpellHelper.CheckReflect( 1, from, ref m );

							int offset = -GetOffset( from  );
							string name = String.Format( "[Spell] {0} Offset", StatType.Int );

							StatMod mod = m.GetStatMod( name );

							if ( mod != null && mod.Offset > 0 )
							{
								m.AddStatMod( new StatMod( StatType.Int, name, mod.Offset + offset, TimeSpan.FromSeconds( 30.0 ) ) );
							}
							else if ( mod == null || mod.Offset > offset )
							{
								m.AddStatMod( new StatMod( StatType.Int, name, offset, TimeSpan.FromSeconds( 30.0 ) ) );
							}

							m.PlaySound( 0x1DF );
							Effects.SendTargetEffect( m, 14201, 16); 
						}
					}

					break;
				}
				case Weakness:
				{
					if ( targeted is Mobile )
					{
						Mobile m = (Mobile)targeted;

						if (m.Karma > -1 )
						{
							from.SendLocalizedMessage( 1001018 );
							return;
						}

						if ( !from.CanSee( m ) )
						{
							from.SendLocalizedMessage( 500237 ); // Target can not be seen.
						}
						else
						{
							SpellHelper.Turn( from, m );

							SpellHelper.CheckReflect( 1, from, ref m );

							int offset = -GetOffset( from  );
							string name = String.Format( "[Spell] {0} Offset", StatType.Str );

							StatMod mod = m.GetStatMod( name );

							if ( mod != null && mod.Offset > 0 )
							{
								m.AddStatMod( new StatMod( StatType.Str, name, mod.Offset + offset, TimeSpan.FromSeconds( 30.0 ) ) );
							}
							else if ( mod == null || mod.Offset > offset )
							{
								m.AddStatMod( new StatMod( StatType.Str, name, offset, TimeSpan.FromSeconds( 30.0 ) ) );
							}

							m.PlaySound( 0x1DF );
							Effects.SendTargetEffect( m, 14201, 16); 
						}
					}

					break;
				}
				case 5:
				{
					if ( targeted is Mobile )
					{
						Mobile m = (Mobile)targeted;

						if (m.Karma > -1 )
						{
							from.SendLocalizedMessage( 1001018 );
							return;
						}

						if ( !from.CanSee( m ) )
						{
							from.SendLocalizedMessage( 500237 ); // Target can not be seen.
						}
						else
						{
							Spell spell = SpellRegistry.NewSpell( 4, from, m_Item );

							if ( spell != null )
							{
								SpellHelper.Turn( from, m );

								SpellHelper.CheckReflect( 1, ref from, ref m );

								double damage = Utility.Random( 4, 4 );

								if ( spell.CheckResisted( m ) )
								{
									damage *= 0.75;

									m.SendLocalizedMessage( 501783 ); // You feel yourself resisting magical energy.
								}

								damage *= spell.GetDamageScalar( m );

								from.PlaySound( 0x1E5 );
								Effects.SendMovingEffect( from, m, 0x36E4, 7, 0, false, true );

								m.Damage( (int) damage );
							}
						}
					}

					break;
				}
				case 6:
				{
					if ( targeted is Mobile )
					{
						Mobile m = (Mobile)targeted;

						if (m.Karma > -1 )
						{
							from.SendLocalizedMessage( 1001018 );
							return;
						}

						if ( !from.CanSee( m ) )
						{
							from.SendLocalizedMessage( 500237 ); // Target can not be seen.
						}
						else
						{
							Spell spell = SpellRegistry.NewSpell( 11, from, m_Item );

							if ( spell != null )
							{
								SpellHelper.Turn( from, m );

								SpellHelper.CheckReflect( 2, ref from, ref m );

								double damage = Utility.Random( 1, 15 );

								if ( spell.CheckResisted( m ) )
								{
									damage *= 0.75;

									m.SendLocalizedMessage( 501783 ); // You feel yourself resisting magical energy.
								}

								damage *= spell.GetDamageScalar( m );

								int xRelative = from.X - m.X;
								int yRelative = from.Y - m.Y;
								double distanceScalar = Math.Sqrt( (xRelative * xRelative) + (yRelative * yRelative) );

								distanceScalar /= 10.0;

								distanceScalar = 1.0 - distanceScalar;

								if ( distanceScalar <= 0.0 )
									damage = 0.0;
								else if ( distanceScalar < 1.0 )
									damage *= distanceScalar;

								m.PlaySound( 0x1F1 );
								Effects.SendTargetEffect( m, 0x374A, 16 );

								SpellHelper.Damage( spell, m, damage );
							}
						}
					}

					break;
				}
				case 7:
				{
					if ( targeted is Mobile )
					{
						Mobile m = (Mobile)targeted;

						if (m.Karma > -1 )
						{
							from.SendLocalizedMessage( 1001018 );
							return;
						}

						if ( !from.CanSee( m ) )
						{
							from.SendLocalizedMessage( 500237 ); // Target can not be seen.
						}
						else
						{
							Spell spell = SpellRegistry.NewSpell( 17, from, m_Item );

							if ( spell != null )
							{
								SpellHelper.Turn( from, m );

								SpellHelper.CheckReflect( 3, ref from, ref m );

								double damage = Utility.Random( 10, 7 );

								if ( spell.CheckResisted( m ) )
								{
									damage *= 0.75;

									m.SendLocalizedMessage( 501783 ); // You feel yourself resisting magical energy.
								}

								damage *= spell.GetDamageScalar( m );

								from.PlaySound( 0x44B );
								Effects.SendMovingEffect( from, m, 0x36D4, 7, 0, false, true );

								SpellHelper.Damage( spell, m, damage );
							}
						}
					}

					break;
				}
				case 8:
				{
					if ( targeted is Mobile )
					{
						Mobile m = (Mobile)targeted;
						if ( targeted is BaseCreature )
						{
							BaseCreature n = (BaseCreature)targeted;
							if ( n.Controled == false )
							{
								from.SendLocalizedMessage( 1001017 );
								return;
							}
						}

						if (m.Karma < 0 )
						{
							from.SendLocalizedMessage( 1001017 );
							return;
						}

						if ( !from.CanSee( m ) )
						{
							from.SendLocalizedMessage( 500237 ); // Target can not be seen.
						}
						else
						{
							SpellHelper.Turn( from, m );

							int toHeal = (int)(from.Skills[SkillName.Magery].Value * 0.4);
							toHeal += Utility.Random( 1, 10 );

							m.Heal( toHeal );

							m.PlaySound( 0x202 );
							Effects.SendTargetEffect( m, 0x376A, 16 );
						}
					}

					break;
				}
				case 9:
				{
					if ( targeted is Mobile )
					{
						Mobile m = (Mobile)targeted;

						if (m.Karma > -1 )
						{
							from.SendLocalizedMessage( 1001018 );
							return;
						}

						if ( !from.CanSee( m ) )
						{
							from.SendLocalizedMessage( 500237 ); // Target can not be seen.
						}
						else
						{
							Spell spell = SpellRegistry.NewSpell( 29, from, m_Item );

							if ( spell != null )
							{
								SpellHelper.Turn( from, m );

								SpellHelper.CheckReflect( 4, ref from, ref m );

								double damage = Utility.Random( 12, 9 );

								if ( spell.CheckResisted( m ) )
								{
									damage *= 0.75;

									m.SendLocalizedMessage( 501783 ); // You feel yourself resisting magical energy.
								}

								damage *= spell.GetDamageScalar( m );

								m.BoltEffect( 0 );

								SpellHelper.Damage( spell, m, damage );
							}
						}
					}

					break;
				}
				case 10:
				{
					if ( targeted is Mobile )
					{
						Mobile m = (Mobile)targeted;

						if (m.Karma > -1 )
						{
							from.SendLocalizedMessage( 1001018 );
							return;
						}

						if ( !from.CanSee( m ) )
						{
							from.SendLocalizedMessage( 500237 ); // Target can not be seen.
						}
						else
						{
							Spell spell = SpellRegistry.NewSpell( 30, from, m_Item );

							if ( spell != null )
							{
								SpellHelper.Turn( from, m );

								SpellHelper.CheckReflect( 4, ref from, ref m );

								if ( spell.CheckResisted( m ) )
									m.SendLocalizedMessage( 501783 ); // You feel yourself resisting magical energy.
								else
									m.Mana -= Utility.Random( 1, 100 );

								m.PlaySound( 0x1F8 );
								Effects.SendTargetEffect( m, 0x374A, 16 );
							}
						}
					}

					break;
				}
			}

			m_Item.Charges = m_Item.Charges - 1;

			if ( m_Item.Charges < 1 )
			{
				from.SendLocalizedMessage( 1019073 );
				return;
			}*/
		}
	}
}