// Name lists created on 9/30/2002 at 11:43 PM by,
// Dian of Dragons Heart Realm
// Allmight of Dragons Heart Realm
// aroura420@hotmail.com

using System;
using System.IO;
using System.Collections;
using Server;

namespace Server.Misc
{
	public class NameList
	{ 
		private static string[] m_MaleNames, m_FemaleNames;
		private static string[] m_OrcNames, m_LizardmanNames, m_RatmanNames;
		private static string[] m_DaemonNames, m_DragonNames;
		private static string[] m_BirdNames;
		private static string[] m_EvilHumanNames, m_FemalePirateNames, m_MalePirateNames;

		static NameList()
		{
			m_MaleNames = Load( "Male.txt" );
			m_FemaleNames = Load( "Female.txt" );
			m_OrcNames = Load( "Orc.txt" );
			m_LizardmanNames = Load( "Lizardman.txt" );
			m_RatmanNames = Load( "Ratman.txt" );
			m_DaemonNames = Load( "Daemon.txt" );
			m_DragonNames = Load( "Dragon.txt" );
			m_BirdNames = Load( "Bird.txt" );
			m_EvilHumanNames = Load( "EvilHuman.txt" );
			m_FemalePirateNames = Load( "FemalePirate.txt" );
			m_MalePirateNames = Load( "MalePirate.txt" );
		}

		private static string[] Load( string file )
		{
			string path = Path.Combine( "Data/Names", file );

			if ( File.Exists( path ) )
			{
				using ( StreamReader ip = new StreamReader( path ) )
				{
					ArrayList lines = new ArrayList();

					string line;

					while ( (line = ip.ReadLine()) != null )
					{
						if ( line.Length > 0 )
							lines.Add( line );
					}

					return (string[])lines.ToArray( typeof( string ) );
				}
			}
			else
			{
				return new string[0];
			}
		}

		private static void Save( string[] strings, string path )
		{
			using ( StreamWriter op = new StreamWriter( path ) )
			{
				Array.Sort( strings );

				foreach ( string s in strings )
				{
					op.WriteLine( s );
				}
			}
		}

		private static string Random( string[] list )
		{
			if ( list.Length > 0 )
				return list[Utility.Random( list.Length )];
			else
				return "empty";
		}

		public static string RandomMaleName()
		{
			return Random( m_MaleNames );
		}

		public static string RandomFemaleName()
		{
			return Random( m_FemaleNames );
		}

		public static string RandomOrcName()
		{
			return Random( m_OrcNames );
		}

		public static string RandomLizardmanName()
		{
			return Random( m_LizardmanNames );
		}

		public static string RandomRatmanName()
		{
			return Random( m_RatmanNames );
		}

		public static string RandomDaemonName()
		{
			return Random( m_DaemonNames );
		}

		public static string RandomDragonName()
		{
			return Random( m_DragonNames );
		}

		public static string RandomBirdName()
		{
			return Random( m_BirdNames );
		}

		public static string RandomEvilHumanName()
		{
			return Random( m_EvilHumanNames );
		}

		public static string RandomFemalePirateName()
		{
			return Random( m_FemalePirateNames );
		}

		public static string RandomMalePirateName()
		{
			return Random( m_MalePirateNames );
		}
	}
}