/* 
- Added other numbers for future version of taming system with increase 
difficulty with each tamming of an animal that you have not tamed before
Skill 2nd 47.1
Skill 3rd 53.1
Skill 4th 59.1
*/
using System;
using Server.Mobiles;

namespace Server.Mobiles
{
	[CorpseName("a bear corpse")]
	public class Bear : BaseCreature
	{
		[Constructable]
		public Bear() : base(AIType.AI_Animal, FightMode.None, 10, 1, 0.2, 0.4 )
		{
			this.Body = Utility.RandomList(211,167);
			this.Name = ("a bear");
			this.VirtualArmor = 24;

			this.InitStats(Utility.Random(76,25),Utility.Random(26,20),Utility.Random(23,25));

			this.Skills[SkillName.Wrestling].Base = Utility.Random(46,18);
			this.Skills[SkillName.Tactics].Base = Utility.Random(40,21);
			this.Skills[SkillName.MagicResist].Base = Utility.Random(25,11);

			this.Fame = Utility.Random(0,1249);
			this.Karma = Utility.Random(0,-624);

			ControlSlots = 1;
			Tamable = true;
			MinTameSkill = 35.1;// Skill 1st
			MaxTameSkill = 59.1;// Skill 5th
		} 

		public override int Meat{ get{ return 2; } }
		public override int Hides{ get{ return 3; } }

		public Bear(Serial serial) : base(serial)
		{
		}

		public override int GetAngerSound() 
		{ 
			return 0x5F; 
		} 

		public override int GetIdleSound() 
		{ 
			return 0x60; 
		} 

		public override int GetAttackSound() 
		{ 
			return 0x61; 
		} 

		public override int GetHurtSound() 
		{ 
			return 0x62; 
		} 

		public override int GetDeathSound() 
		{ 
			return 0x63; 
		} 

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}
}