using System;
using Server.Mobiles;

namespace Server.Mobiles
{
	[CorpseName("a turkey corpse")]
	public class Turkey : BaseCreature
	{
		[Constructable]
		public Turkey() : base(AIType.AI_Animal, FightMode.None, 10, 1, 0.2, 0.4 )
		{
			this.Body = 833;
			this.Name = ("a turkey");
			this.VirtualArmor = 22;

			this.InitStats((10),Utility.Random(25,35),(10));

			this.Skills[SkillName.Wrestling].Base = (6);
			this.Skills[SkillName.Tactics].Base = (6);
			this.Skills[SkillName.MagicResist].Base = (5);

			this.Fame = Utility.Random(0,1249);
			this.Karma = Utility.Random(0,-624);
		}

		public Turkey(Serial serial) : base(serial)
		{
		}

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}
}