/* 
- Added other numbers for future version of taming system with increase 
difficulty with each tamming of an animal that you have not tamed before
Skill 2nd 89.1
Skill 3rd 95.1
Skill 4th 101.1
*/

using System;
using Server.Mobiles;

namespace Server.Mobiles
{
	[CorpseName("a silver wolf corpse")]
	public class Silverwolf : BaseCreature
	{
		[Constructable]
		public Silverwolf() : base(AIType.AI_Animal, FightMode.None, 10, 1, 0.2, 0.4 )
		{
			this.Body = 100;
			this.Name = ("a silver wolf");
			this.VirtualArmor = 22;

			this.InitStats(Utility.Random(196,24),Utility.Random(81,25),Utility.Random(36,84));

			this.Skills[SkillName.Wrestling].Base = Utility.Random(64,19);
			this.Skills[SkillName.Tactics].Base = Utility.Random(50,20);
			this.Skills[SkillName.MagicResist].Base = Utility.Random(59,17);

			this.Fame = Utility.Random(1250,1249);
			this.Karma = Utility.Random(-1250,-1249);
			
			ControlSlots = 1;
			Tamable = true;
			MinTameSkill = 83.1;// Skill 1st
			MaxTameSkill = 107.1;// Skill 5th

		}

		public Silverwolf(Serial serial) : base(serial)
		{
		}

		public override int GetAngerSound() 
		{ 
			return 0xE5; 
		} 

		public override int GetIdleSound() 
		{ 
			return 0xE6; 
		} 

		public override int GetAttackSound() 
		{ 
			return 0xE7; 
		} 

		public override int GetHurtSound() 
		{ 
			return 0xE8; 
		} 

		public override int GetDeathSound() 
		{ 
			return 0xE9; 
		} 

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}
}