/* 
- Added other numbers for future version of taming system with increase 
difficulty with each tamming of an animal that you have not tamed before
Skill 2nd 71.1
Skill 3rd 77.1
Skill 4th 83.1
*/
using System;
using Server.Mobiles;

namespace Server.Mobiles
{
	[CorpseName("a white wolf corpse")]
	public class Whitewolf : BaseCreature
	{
		[Constructable]
		public Whitewolf() : base(AIType.AI_Animal, FightMode.None, 10, 1, 0.2, 0.4 )
		{
			this.Body = Utility.RandomList(34,37);
			this.Name = ("a white wolf");
			this.VirtualArmor = 16;

			this.InitStats(Utility.Random(56,25),Utility.Random(56,20),Utility.Random(31,25));

			this.Skills[SkillName.Wrestling].Base = Utility.Random(50,13);
			this.Skills[SkillName.Tactics].Base = Utility.Random(46,14);
			this.Skills[SkillName.MagicResist].Base = Utility.Random(22,14);

			this.Fame = Utility.Random(0,1249);
			this.Karma = Utility.Random(0,-624);

			ControlSlots = 1;
			Tamable = true;
			MinTameSkill = 65.1;// Skill 1st
			MaxTameSkill = 89.1;// Skill 5th
		}

		public override int Meat{ get{ return 1; } }
		public override int Hides{ get{ return 5; } }

		public Whitewolf(Serial serial) : base(serial)
		{
		}

		public override int GetAngerSound() 
		{ 
			return 0xE5; 
		} 

		public override int GetIdleSound() 
		{ 
			return 0xE6; 
		} 

		public override int GetAttackSound() 
		{ 
			return 0xE7; 
		} 

		public override int GetHurtSound() 
		{ 
			return 0xE8; 
		} 

		public override int GetDeathSound() 
		{ 
			return 0xE9; 
		} 

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}
}