/* 
- Added other numbers for future version of taming system with increase 
difficulty with each tamming of an animal that you have not tamed before
Skill 2nd 77.1
Skill 3rd 83.1
Skill 4th 89.1
*/
using System;
using Server.Mobiles;

namespace Server.Mobiles
{
	[CorpseName("a bull corpse")]
	public class Bull : BaseCreature
	{
		[Constructable]
		public Bull() : base(AIType.AI_Animal, FightMode.None, 10, 1, 0.2, 0.4 )
		{
			this.Body = Utility.RandomList(0xE9,0xE8);
			this.Name = ("a bull");
			this.VirtualArmor = 28;

			this.InitStats(Utility.Random(80,30),Utility.Random(56,20),Utility.Random(50,41));

			this.Skills[SkillName.Wrestling].Base = Utility.Random(46,16);
			this.Skills[SkillName.Tactics].Base = Utility.Random(69,17);
			this.Skills[SkillName.MagicResist].Base = Utility.Random(18,8);

			this.Fame = Utility.Random(0,1249);
			this.Karma = Utility.Random(0,624);

			ControlSlots = 1;
			Tamable = true;
			MinTameSkill = 71.1;// Skill 1st
			MaxTameSkill = 95.1;// Skill 5th
		}

		public override int Meat{ get{ return 10; } }
		public override int Hides{ get{ return 15; } }

		public Bull(Serial serial) : base(serial)
		{
		}

		public override int GetAngerSound() 
		{ 
			return 0x64; 
		} 

		public override int GetIdleSound() 
		{ 
			return 0x65; 
		} 

		public override int GetAttackSound() 
		{ 
			return 0x66; 
		} 

		public override int GetHurtSound() 
		{ 
			return 0x67; 
		} 

		public override int GetDeathSound() 
		{ 
			return 0x68; 
		} 

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}
}