/* 
- Added other numbers for future version of taming system with increase 
difficulty with each tamming of an animal that you have not tamed before
Skill 2nd 41.1
Skill 3rd 47.1
Skill 4th 53.1
*/
using System;
using Server.Mobiles;

namespace Server.Mobiles
{
	[CorpseName("a llama corpse")]
	public class Llama : BaseCreature
	{
		[Constructable]
		public Llama() : base(AIType.AI_Animal, FightMode.None, 10, 1, 0.2, 0.4 )
		{
			this.Body = 0xDC;
			this.Name = ("a llama");
			this.VirtualArmor = 16;

			this.InitStats(Utility.Random(25,24),Utility.Random(37,19),Utility.Random(16,15));

			this.Skills[SkillName.Wrestling].Base = Utility.Random(22,7);
			this.Skills[SkillName.Tactics].Base = Utility.Random(20,9);
			this.Skills[SkillName.MagicResist].Base = Utility.Random(16,5);

			this.Fame = Utility.Random(0,1249);
			this.Karma = Utility.Random(0,-624);

			ControlSlots = 1;
			Tamable = true;
			MinTameSkill = 35.1;// Skill 1st
			MaxTameSkill = 59.1;// Skill 5th
		}

		public override int Meat{ get{ return 1; } }
		public override int Hides{ get{ return 12; } }

		public Llama(Serial serial) : base(serial)
		{
		}

		public override int GetAttackSound() 
		{ 
			return 0xB7; 
		} 

		public override int GetHurtSound() 
		{ 
			return 0xB8; 
		} 

		public override int GetDeathSound() 
		{ 
			return 0xB9; 
		} 

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}
}