/* 
- Added other numbers for future version of taming system with increase 
difficulty with each tamming of an animal that you have not tamed before
Skill 2nd 35.1
Skill 3rd 41.1
Skill 4th 47.1
*/
using System;
using Server.Mobiles;

namespace Server.Mobiles
{
	[CorpseName( "a horse corpse" )]
	public class BrownHorse : BaseMount
	{
		[Constructable]
		public BrownHorse() : this( "a horse" )
		{
		}

		[Constructable]
		public BrownHorse( string name ) : base( name, 0xCC, 0x3EA2, AIType.AI_Animal, FightMode.None, 10, 1, 0.2, 0.4 )
		{
			BaseSoundID = 0xA8;

			InitStats( Utility.Random( 50, 30 ), Utility.Random( 50, 30 ), 10 );
			Skills[SkillName.MagicResist].Base = 25.0 + (Utility.RandomDouble() * 5.0);
			Skills[SkillName.Wrestling].Base = 35.0 + (Utility.RandomDouble() * 10.0);
			Skills[SkillName.Tactics].Base = 30.0 + (Utility.RandomDouble() * 15.0);

			Tamable = true;
			MinTameSkill = 29.1;// Skill 1st
			MaxTameSkill = 53.1;// Skill 5th
		}

		public BrownHorse( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}