using System;
using Server.Items;
using Server.Targeting;
using System.Collections;
using Server.Spells;
using Server.Spells.First;
using Server.Spells.Second;
using Server.Spells.Third;
using Server.Spells.Fourth;
using Server.Spells.Fifth;
using Server.Spells.Sixth;
using Server.Spells.Seventh;
using Server.GenerateRandomMagicItems;


namespace Server.Mobiles
{
	[CorpseName( "a terathan matriarch corpse" )]
	public class TerathanMatriarch : BaseCreature
	{
		[Constructable]
		public TerathanMatriarch() : base( AIType.AI_Mage, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Body = 72;
			Name = "a terathan matriarch";
			BaseSoundID = 599;

			SetStr( 317, 399 );
			SetDex(  98, 115 );
			SetInt( 366, 454 );

			SetSkill( SkillName.Wrestling,   69.8, 80.2 );
			SetSkill( SkillName.Tactics,     51.1, 69.1 );
			SetSkill( SkillName.MagicResist, 92.1, 98.3 );
			SetSkill( SkillName.Magery,      91.5, 99.7 );
			SetSkill( SkillName.Meditation,   5.5, 29.7 );

			VirtualArmor = 50;

			SetFameLevel( 4 );
			SetKarmaLevel( 4 );

			PackItem( new Gold( 150, 300 ) );
			PackItem( new SpidersSilk( 5 ) );
			PackItem( RandomScroll.CreateScroll( 1, 7 ) );

			switch ( Utility.Random( 9 ))
			{
				case 0: PackItem( new Amber() ); break;
				case 1: PackItem( new Amethyst() ); break;
				case 2: PackItem( new Citrine() ); break;
				case 3: PackItem( new Diamond() ); break;
				case 4: PackItem( new Emerald() ); break;
				case 5: PackItem( new Ruby() ); break;
				case 6: PackItem( new Sapphire() ); break;
				case 7: PackItem( new StarSapphire() ); break;
				case 8: PackItem( new Tourmaline() ); break;
			}

			// 30% chance to get magic armor, then about 15% chance to get magic weapon
			if ( 0.3 >= Utility.RandomDouble() ) 
			{
				if ( 0.75 >= Utility.RandomDouble() )
				{
					PackItem( RandomMagicItem.RandomMagicWeapon( (BaseWeapon)RandomMagicItem.RandomWeapon, 1, 5 ));
				}
				PackItem( RandomMagicItem.RandomMagicArmor( (BaseArmor)RandomMagicItem.RandomArmor, 1, 5 ));
			}
		}

		public TerathanMatriarch( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}
