using System; 
using System.Collections; 
using Server.Items; 
using Server.Spells; 
using Server.Spells.First; 
using Server.Spells.Second; 
using Server.Spells.Third; 
using Server.Spells.Fourth; 
using Server.Spells.Fifth; 
using Server.Spells.Sixth; 
using Server.Spells.Seventh; 
using Server.Targeting; 
using Server.Misc; 
using Server.Network; 

namespace Server.Mobiles 
{ 
   [CorpseName( "an evil mage corpse" )] 
   public class EvilMage : BaseCreature 
   { 
      [Constructable] 
      public EvilMage() : base( AIType.AI_Mage, FightMode.Closest, 10, 1, 0.2, 0.4 ) 
      { 

         Name = "an evil mage"; 

         SpeechHue = Utility.RandomDyedHue(); 
         Title = "the evil mage"; 
         Hue = Utility.RandomSkinHue(); 

         if ( this.Female = Utility.RandomBool() ) 
         { 
            this.Body = 0x191; 
            this.Name = NameList.RandomFemaleName(); 
         AddItem( new Robe( Utility.RandomGreenHue() ) ); 
         AddItem( new WizardsHat( Utility.RandomGreenHue() ) ); 
         } 
         else 
         { 
            this.Body = 0x190; 
            this.Name = NameList.RandomMaleName(); 
         AddItem( new Robe( Utility.RandomBlueHue() ) ); 
         AddItem( new WizardsHat( Utility.RandomBlueHue() ) ); 
         } 
         this.Criminal = true; 

         SetStr( 85, 105 ); 
         SetDex( 94, 114 ); 
         SetInt( 96, 120 ); 
         SetSkill( SkillName.Wrestling, 34, 58 ); 
         SetSkill( SkillName.Tactics, 74, 78 ); 
         SetSkill( SkillName.MagicResist, 83, 88 ); 
         SetSkill( SkillName.Magery, 80, 98 ); 
         SetSkill( SkillName.EvalInt, 8, 20 ); 

         VirtualArmor = 16; 
         SetFameLevel( 2 ); 
         SetKarmaLevel( 2 ); 



         switch ( Utility.Random( 8 )) 
         { 
         case 0: PackItem( new SpidersSilk( 3 ) ); break; 
         case 1: PackItem( new BlackPearl( 3 ) ); break; 
         case 2: PackItem( new Bloodmoss( 3 ) ); break; 
         case 3: PackItem( new Garlic( 3 ) ); break; 
         case 4: PackItem( new MandrakeRoot( 3 ) ); break; 
         case 5: PackItem( new Nightshade( 3 ) ); break; 
         case 6: PackItem( new SulfurousAsh( 3 ) ); break; 
         case 7: PackItem( new Ginseng( 3 ) ); break; 
         } 
            PackItem( new Gold( 200, 300 )); 
            PackItem( RandomScroll.CreateScroll( 2, 7 ) ); 
            PackItem( RandomScroll.CreateScroll( 2, 7 ) ); 
      } 

      public EvilMage( Serial serial ) : base( serial ) 
      { 
      } 

      public override void Serialize( GenericWriter writer ) 
      { 
         base.Serialize( writer ); 
         writer.Write( (int) 0 ); 
      } 

      public override void Deserialize( GenericReader reader ) 
      { 
         base.Deserialize( reader ); 
         int version = reader.ReadInt(); 
      } 
   } 
} 
