using System; 
using System.Collections; 
using Server.Items; 
using Server.Spells; 
using Server.Spells.First; 
using Server.Spells.Second; 
using Server.Spells.Third; 
using Server.Spells.Fourth; 
using Server.Spells.Fifth; 
using Server.Spells.Sixth; 
using Server.Spells.Seventh; 
using Server.Targeting; 
using Server.Misc; 
using Server.Network; 

namespace Server.Mobiles 
{ 
   [CorpseName( "an evil mage lord corpse" )] 
   public class EvilMageLord : BaseCreature 
   { 
      [Constructable] 
      public EvilMageLord() : base( AIType.AI_Mage, FightMode.Closest, 10, 1, 0.2, 0.4 ) 
      { 

         SpeechHue = Utility.RandomDyedHue();  
         Hue = Utility.RandomSkinHue(); 

        this.Body = 0x190; 

         switch ( Utility.Random( 4 ) ) 
         { 
            case 0: Name = "Kwan Li the Lord of the Mists"; break; 
            case 1: Name = "Bazerion the Wizard-Lord"; break; 
            case 2: Name = "Ylthallynon the Insane"; break; 
            case 3: Name = "Xarot the Black Archmage"; break; 
         } 

   AddItem( new Robe( Utility.RandomMetalHue() ) ); 
   AddItem( new WizardsHat( Utility.RandomMetalHue() ) ); 

         this.Criminal = true; 

         SetStr( 81, 105 ); 
         SetDex( 191, 213 ); 
         SetInt( 126, 145 ); 
         SetSkill( SkillName.Wrestling, 38, 71 ); 
         SetSkill( SkillName.Tactics, 74, 79 ); 
         SetSkill( SkillName.MagicResist, 87, 92 ); 
         SetSkill( SkillName.Magery, 96, 99 ); 
         SetSkill( SkillName.EvalInt, 49, 72 ); 
         SetSkill( SkillName.Meditation, 31, 42 ); 

         VirtualArmor = 16; 
         SetFameLevel( 4 ); 
         SetKarmaLevel( 4 ); 



         switch ( Utility.Random( 8 )) 
         { 
         case 0: PackItem( new SpidersSilk( 20 ) ); break; 
         case 1: PackItem( new BlackPearl( 20 ) ); break; 
         case 2: PackItem( new Bloodmoss( 20 ) ); break; 
         case 3: PackItem( new Garlic( 20 ) ); break; 
         case 4: PackItem( new MandrakeRoot( 20 ) ); break; 
         case 5: PackItem( new Nightshade( 20 ) ); break; 
         case 6: PackItem( new SulfurousAsh( 20 ) ); break; 
         case 7: PackItem( new Ginseng( 20 ) ); break; 
         } 
            PackItem( new Gold( 800, 1300 )); 
            PackItem( RandomScroll.CreateScroll( 2, 7 ) ); 
            PackItem( RandomScroll.CreateScroll( 2, 7 ) ); 
      } 

      public EvilMageLord( Serial serial ) : base( serial ) 
      { 
      } 

      public override void Serialize( GenericWriter writer ) 
      { 
         base.Serialize( writer ); 
         writer.Write( (int) 0 ); 
      } 

      public override void Deserialize( GenericReader reader ) 
      { 
         base.Deserialize( reader ); 
         int version = reader.ReadInt(); 
      } 
   } 
} 
