using System;
using System.Collections;
using Server.Items;
using Server.Targeting;
using Server.GenerateRandomMagicItems;

namespace Server.Mobiles
{
	[CorpseName( "an ettins corpse" )]
	public class Ettin : BaseCreature
	{
		[Constructable]
		public Ettin() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Body = 18;
			Name = "an ettin";
			BaseSoundID = 367;

			SetStr( 136, 163 );
			SetDex( 56, 74 );
			SetInt( 31, 54 );
			SetSkill( SkillName.Wrestling, 55, 63 );
			SetSkill( SkillName.Tactics, 50, 67 );
			SetSkill( SkillName.MagicResist, 42, 52 );

			VirtualArmor = 38;
			SetFameLevel( 3 );
			SetKarmaLevel( 3 );
			

			switch ( Utility.Random( 9 ))
			{
			case 0: PackItem( new Amber() ); break;
			case 1: PackItem( new Amethyst() ); break;
			case 2: PackItem( new Citrine() ); break;
			case 3: PackItem( new Diamond() ); break;
			case 4: PackItem( new Emerald() ); break;
			case 5: PackItem( new Ruby() ); break;
			case 6: PackItem( new Sapphire() ); break;
			case 7: PackItem( new StarSapphire() ); break;
			case 8: PackItem( new Tourmaline() ); break;
			}

			switch ( Utility.Random( 6 ))
			{
			case 0: PackItem( new AgilityPotion() ); break;
			case 1: PackItem( new LesserCurePotion() ); break;
			case 2: PackItem( new LesserHealPotion() ); break;
			case 3: PackItem( new LesserPoisonPotion() ); break;
			case 4: PackItem( new RefreshPotion() ); break;
			case 5: PackItem( new StrengthPotion() ); break;
			}

				PackItem( new Arrow(10));
				PackItem( new Gold( 50, 150 ));
		}

		public override int Meat{ get{ return 5; } }

		public Ettin( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}
