using System;
using System.Collections;
using Server.Items;
using Server.Targeting;
using Server.GenerateRandomMagicItems;

namespace Server.Mobiles
{
	[CorpseName( "a ghouls corpse" )]
	public class Ghoul : BaseCreature
	{
		[Constructable]
		public Ghoul() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Body = 26;
			Name = "a ghoul";
			BaseSoundID = 382;

			SetStr( 78, 98 );
			SetDex( 80, 94 );
			SetInt( 1, 1 );
			SetSkill( SkillName.Wrestling, 49, 58 );
			SetSkill( SkillName.Tactics, 45, 59 );
			SetSkill( SkillName.MagicResist, 46, 58 );

			VirtualArmor = 28;
			SetFameLevel( 2 );
			SetKarmaLevel( 2 );
			

				PackItem( new Bone());
				PackItem( new Gold( 10, 50 ));
		}

		public Ghoul( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}
