using System;
using System.Collections;
using Server.Items;
using Server.Targeting;
using Server.GenerateRandomMagicItems;

namespace Server.Mobiles
{
	[CorpseName( "a skeleton corpse" )]
	public class Skeleton : BaseCreature
	{
		[Constructable]
		public Skeleton() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Body = 50;
			Name = "a skeleton";
			BaseSoundID = 451;

			SetStr( 61, 76 );
			SetDex( 56, 73 );
			SetInt( 17, 37 );
			SetSkill( SkillName.Wrestling, 49, 57 );
			SetSkill( SkillName.Tactics, 45, 59 );
			SetSkill( SkillName.MagicResist, 45, 58 );

			VirtualArmor = 16;
			SetFameLevel( 1 );
			SetKarmaLevel( 1 );
			

			switch ( Utility.Random( 5 ))
			{
			case 0: PackItem( new BoneArms() ); break;
			case 1: PackItem( new BoneChest() ); break;
			case 2: PackItem( new BoneGloves() ); break;
			case 3: PackItem( new BoneLegs() ); break;
			case 4: PackItem( new BoneHelm() ); break;
			}


				PackItem( new Gold( 1, 50 ));
		}

		public Skeleton( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}
