using System;
using System.Collections;
using Server.Misc;
using Server.Spells;
using Server.Spells.First;
using Server.Spells.Second;
using Server.Spells.Third;
using Server.Spells.Fourth;
using Server.Spells.Fifth;
using Server.Spells.Sixth;
using Server.Spells.Seventh;
using Server.Targeting;

namespace Server.Mobiles
{
	[Dispellable]
	[CorpseName( "an energy vortex corpse" )]
	public class EnergyVortex : BaseCreature
	{
		[Constructable]
		public EnergyVortex() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Body = 164;
			Name = "an energy vortex";
			BaseSoundID = 263;

			SetStr( 200, 200 );
			SetDex( 200, 200 );
			SetInt( 100, 100 );

			Team = Utility.Random( Int32.MaxValue - 2 );

			SetSkill( SkillName.Wrestling, 120.0 );
			SetSkill( SkillName.Tactics, 90.0 );
			SetSkill( SkillName.MagicResist, 99.9 );
		}

		[CommandProperty( AccessLevel.GameMaster )]
		public override int HitsMax { get { return 1900; } }

		[CommandProperty( AccessLevel.GameMaster )]
		public override int StamMax { get { return 250;  } }

		public EnergyVortex( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}
