using System;
using System.Collections;
using Server.Items;
using Server.Targeting;

namespace Server.Mobiles
{
	[CorpseName( "a corpser corpse" )]
	public class Corpser : BaseCreature
	{
		[Constructable]
		public Corpser() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Body = 8;
			Name = "a corpser";
			BaseSoundID = 352;

			SetStr( 158, 180 );
			SetDex( 26, 45 );
			SetInt( 1, 10 );
			SetSkill( SkillName.Wrestling, 51, 61 );
			SetSkill( SkillName.Tactics, 45, 57 );
			SetSkill( SkillName.MagicResist, 15, 18 );

			VirtualArmor = 18;
			SetFameLevel( 1 );
			SetKarmaLevel( 1 );

			Frozen = true;

			PackItem( new Log( 10 ) );
			PackItem( new Gold( 1, 50 ) );
		}

		public Corpser( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}
