using System; 
using System.Collections; 
using Server.Items; 

namespace Server.Mobiles 
{ 
	public class SBWeaver: SBInfo 
	{ 
		private ArrayList m_BuyInfo = new InternalBuyInfo(); 
		private IShopSellInfo m_SellInfo = new InternalSellInfo(); 

		public SBWeaver() 
		{ 
		} 

		public override IShopSellInfo SellInfo { get { return m_SellInfo; } } 
		public override ArrayList BuyInfo { get { return m_BuyInfo; } } 

		public class InternalBuyInfo : ArrayList 
		{ 
			public InternalBuyInfo() 
			{ 
				Add( new GenericBuyInfo( typeof( Scissors ), 11, Utility.Random( 5, 10 ), 0xF9F, 0 ) );  
				Add( new GenericBuyInfo( typeof( Dyes ), 8, Utility.Random( 5, 10 ), 0xFA9, 0 ) ); 
				Add( new GenericBuyInfo( typeof( DyeTub ), 8, Utility.Random( 5, 10 ), 0xFAB, 0 ) ); 
				Add( new GenericBuyInfo( typeof( BoltOfCloth ), 100, Utility.Random( 8, 15 ), 0xf95, 0 ) ); 
			} 
		} 

		public class InternalSellInfo : GenericSellInfo 
		{ 
			public InternalSellInfo() 
			{ 
				Add( typeof( Scissors ), 6 ); 
				Add( typeof( Dyes ), 4 ); 
				Add( typeof( DyeTub ), 4 ); 
				Add( typeof( BoltOfCloth ), 60 ); 
			} 
		} 
	} 
}