using System;
using Server;
using Server.Multis;

namespace Server.Items
{
	public class Hold : Container
	{
		private Boat m_Boat;

		public Hold( Boat boat ) : base( 0x3EAE, 0x4C, 0x42, new Rectangle2D( 20, 105, 150, 180 ) )
		{
			m_Boat = boat;
		}

		public Hold( Serial serial ) : base(serial)
		{
		}

		public void Turn( Direction dir )
		{
			switch ( dir )
			{
				case Direction.North:
					ItemID = 0x3EAE;
					break;
				case Direction.East:
					ItemID = 0x3E65;
					break;
				case Direction.South:
					ItemID = 0x3EB9;
					break;
				case Direction.West:
					ItemID = 0x3E93;
					break;
			}
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );//version

			writer.Write( m_Boat );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();

			switch ( version )
			{
				case 0:
				{
					m_Boat = reader.ReadItem() as Boat;
					break;
				}
			}
		}
	}
}
